## cachefilesd 0.9

=== Makefile ===
CFLAGS		:= -g -O2 -Wall
INSTALL		:= install
DESTDIR		:=
BUILDFOR	:=
ETCDIR		:= /etc
BINDIR		:= /bin
SBINDIR		:= /sbin

LNS		:= ln -sf

ifeq ($(BUILDFOR),32-bit)
CFLAGS		+= -m32
else
ifeq ($(BUILDFOR),64-bit)
CFLAGS		+= -m64
endif
endif

#
# building
#
all: cachefilesd

cachefilesd: cachefilesd.c Makefile
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $<

#
# installation
#
MAN5	:= $(DESTDIR)/usr/share/man/man5
MAN8	:= $(DESTDIR)/usr/share/man/man8

install: all
	$(INSTALL) -D cachefilesd $(DESTDIR)$(SBINDIR)/cachefilesd
	$(INSTALL) -D -m 0644 cachefilesd.conf $(DESTDIR)$(ETCDIR)/cachefilesd.conf
	$(INSTALL) -D -m 0644 cachefilesd.conf.5 $(MAN5)/cachefilesd.conf.5
	$(INSTALL) -D -m 0644 cachefilesd.8 $(MAN8)/cachefilesd.8

#
# clean up
#
clean:
	$(RM) cachefilesd
	$(RM) *.o *~
	$(RM) debugfiles.list debugsources.list

## cachefilesd 0.10.5

=== debian/changelog ===
cachefilesd (0.10.5-2) stable; urgency=low

  * Add patch to prevent busylooping when disk is full
  * [debian/source/format] fix format (was accidentally set to native)

 -- Wessel Dankers <wsl@fruit.je>  Thu, 29 May 2014 10:30:41 +0200

cachefilesd (0.10.5-1) stable; urgency=low

  * New upstream release (closes: #671451, #620732).
  * [debian/rules] switch to dh, use xz
  * [debian/copyright] update and tweak for lintian
  * [debian/control] remove cdbs dependency, add homepage (closes: #671453)
  * [debian/init] rewrite (closes: #568209, #684119)

 -- Wessel Dankers <wsl@fruit.je>  Thu, 11 Apr 2013 11:00:18 +0200

cachefilesd (0.9-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing headers to fix FTBFS (Closes: #625131).

 -- Luk Claes <luk@debian.org>  Sun, 22 May 2011 17:08:35 +0200

cachefilesd (0.9-3) unstable; urgency=low

  * Added logcheck ignore file. (Closes: 534581)

 -- Shane Wegner <shane@debian.org>  Sun, 26 Jul 2009 13:50:51 -0700

cachefilesd (0.9-2) unstable; urgency=low

  * Fix short description, not sure how that happend (Closes: #529006)

 -- Shane Wegner <shane@debian.org>  Sun, 17 May 2009 12:32:51 -0700

cachefilesd (0.9-1) unstable; urgency=low

  * Initial release (Closes: #524517)

 -- Shane Wegner <shane@debian.org>  Fri, 17 Apr 2009 12:01:12 -0700

=== debian/rules ===
#! /usr/bin/make -f

%:
	exec dh $@

override_dh_builddeb:
	exec dh_builddeb -- -Zxz -z9

get-orig-source:
	curl -o ../cachefilesd_0.10.5.orig.tar.bz2 http://people.redhat.com/~dhowells/fscache/cachefilesd-0.10.5.tar.bz2

## cachefilesd 0.10.9-0.1

=== debian/changelog ===
cachefilesd (0.10.9-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #814369, #620732).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 24 Mar 2016 05:33:45 +1100

cachefilesd (0.10.5-1) unstable; urgency=low

  * New upstream version
  * Update copyright
  * Add CPPFLAGS to Makefile to support hardening

 -- Shane Wegner <shane@debian.org>  Sun, 05 May 2013 21:54:43 +0100

=== debian/control ===
Source: cachefilesd
Section: misc
Priority: optional
Maintainer: Shane Wegner <shane@debian.org>
Build-Depends: cdbs, debhelper (>= 7)
Standards-Version: 3.9.3.1

Package: cachefilesd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: support fscache on already mounted filesystem
 FSCache is a generic caching manager in the Linux kernel which can be used
 by network and other filesystems to cache data locally.
 .
 CacheFiles is an FSCache backend that's meant to use as a cache a directory on
 an already mounted filesystem of a local type (such as Ext3).  This package
 installs the userspace support required by the cachefiles backend.

## cachefilesd 0.10.10

=== debian/changelog ===
cachefilesd (0.10.10-0.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Avoid machien depedant flag in Makefile

 -- Alexandre Detiste <tchet@debian.org>  Sat, 13 Sep 2025 10:29:43 +0200

cachefilesd (0.10.10-0.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop usage of CDBS for build

 -- Alexandre Detiste <tchet@debian.org>  Fri, 12 Sep 2025 19:16:55 +0200

cachefilesd (0.10.10-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Install cachefilesd into /usr/sbin instead of /sbin (Closes: #1056909)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Dec 2023 13:13:54 +0100

cachefilesd (0.10.10-0.3) unstable; urgency=medium

  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in debian/watch.
  * Explicitly specify source format.
  * Bump debhelper from deprecated 7 to 10.
  * Fix field name typos in debian/copyright.

 -- Bastian Germann <bage@debian.org>  Wed, 23 Nov 2022 21:43:25 +0100

cachefilesd (0.10.10-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable secctx in the default cachefilesd.conf (Closes: #909523).
    Accordingly, document in README.Debian how to set the correct security
    context under SELinux.

 -- intrigeri <intrigeri@debian.org>  Fri, 19 Jul 2019 14:55:33 +0000

cachefilesd (0.10.10-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 0.10.10.
  * Added VCS URIs.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 30 Jan 2018 12:58:25 +1100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: misc
 Priority: optional
 Maintainer: Shane Wegner <shane@debian.org>
-Build-Depends: cdbs, debhelper (>= 7)
-Standards-Version: 3.9.3.1
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian/cachefilesd
+Vcs-Git: https://salsa.debian.org/debian/cachefilesd.git
 
 Package: cachefilesd
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	make install DESTDIR=debian/cachefilesd SBINDIR=/usr/sbin

#execute_after_dh_fixperms:
#	chmod o-rwx $(DEB_DESTDIR)/var/cache/fscache

=== debian/watch ===
version=3
https://people.redhat.com/~dhowells/fscache/cachefilesd-(.*)\.tar\.bz2

## cachefilesd 0.10.10-0.1

=== Makefile ===
CFLAGS		:= -g -O2 -Wall -Wsign-compare
INSTALL		:= install
DESTDIR		:=
ETCDIR		:= /etc
BINDIR		:= /bin
SBINDIR		:= /sbin
MANDIR		:= /usr/share/man
SPECFILE	:= redhat/cachefilesd.spec

LNS		:= ln -sf

###############################################################################
#
# Determine the current package version from the specfile
#
###############################################################################
VERSION		:= $(word 2,$(shell grep "^Version:" $(SPECFILE)))
TARBALL		:= cachefilesd-$(VERSION).tar
ZTARBALL	:= $(TARBALL).bz2

###############################################################################
#
# Guess at the appropriate word size
#
###############################################################################
BUILDFOR	:= $(shell file /usr/bin/make | sed -e 's!.*ELF \(32\|64\)-bit.*!\1!')-bit

ifeq ($(BUILDFOR),32-bit)
CFLAGS		+= -m32
else
ifeq ($(BUILDFOR),64-bit)
CFLAGS		+= -m64
endif
endif

###############################################################################
#
# Build stuff
#
###############################################################################
all: cachefilesd

cachefilesd: cachefilesd.c Makefile
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $<

###############################################################################
#
# Install everything
#
###############################################################################
MAN5	:= $(DESTDIR)$(MANDIR)/man5
MAN8	:= $(DESTDIR)$(MANDIR)/man8

install: all
	$(INSTALL) -D -m 0755 cachefilesd $(DESTDIR)$(SBINDIR)/cachefilesd
	$(INSTALL) -D -m 0644 cachefilesd.conf $(DESTDIR)$(ETCDIR)/cachefilesd.conf
	$(INSTALL) -D -m 0644 cachefilesd.conf.5 $(MAN5)/cachefilesd.conf.5
	$(INSTALL) -D -m 0644 cachefilesd.8 $(MAN8)/cachefilesd.8

###############################################################################
#
# Clean up
#
###############################################################################
clean:
	$(RM) cachefilesd
	$(RM) *.o *~
	$(RM) debugfiles.list debugsources.list

distclean: clean
	$(RM) -r rpmbuild $(TARBALL)

###############################################################################
#
# Generate a tarball
#
###############################################################################
$(ZTARBALL):
	git archive --prefix=cachefilesd-$(VERSION)/ --format tar -o $(TARBALL) HEAD
	bzip2 -9 <$(TARBALL) >$(ZTARBALL)

tarball: $(ZTARBALL)

###############################################################################
#
# Generate an RPM
#
###############################################################################
SRCBALL	:= rpmbuild/SOURCES/$(TARBALL)
ZSRCBALL := rpmbuild/SOURCES/$(ZTARBALL)

BUILDID	:= .local
dist	:= $(word 2,$(shell grep -r "^%dist" /etc/rpm /usr/lib/rpm))
release	:= $(word 2,$(shell grep ^Release: $(SPECFILE)))
release	:= $(subst %{?dist},$(dist),$(release))
release	:= $(subst %{?buildid},$(BUILDID),$(release))
rpmver	:= $(VERSION)-$(release)
SRPM	:= rpmbuild/SRPMS/cachefilesd-$(rpmver).src.rpm

RPMBUILDDIRS := \
	--define "_srcrpmdir $(CURDIR)/rpmbuild/SRPMS" \
	--define "_rpmdir $(CURDIR)/rpmbuild/RPMS" \
	--define "_sourcedir $(CURDIR)/rpmbuild/SOURCES" \
	--define "_specdir $(CURDIR)/rpmbuild/SPECS" \
	--define "_builddir $(CURDIR)/rpmbuild/BUILD" \
	--define "_buildrootdir $(CURDIR)/rpmbuild/BUILDROOT"

RPMFLAGS := \
	--define "buildid $(BUILDID)"

rpm:
	mkdir -p rpmbuild
	chmod ug-s rpmbuild
	mkdir -p rpmbuild/{SPECS,SOURCES,BUILD,BUILDROOT,RPMS,SRPMS}
	git archive --prefix=cachefilesd-$(VERSION)/ --format tar -o $(SRCBALL) HEAD
	bzip2 -9 <$(SRCBALL) >$(ZSRCBALL)
	rpmbuild -ts $(ZSRCBALL) --define "_srcrpmdir rpmbuild/SRPMS" $(RPMFLAGS)
	rpmbuild --rebuild $(SRPM) $(RPMBUILDDIRS) $(RPMFLAGS)

rpmlint: rpm
	rpmlint $(SRPM) $(CURDIR)/rpmbuild/RPMS/*/cachefilesd-{,debuginfo-}$(rpmver).*.rpm

###############################################################################
#
# Build debugging
#
###############################################################################
show_vars:
	@echo VERSION=$(VERSION)
	@echo TARBALL=$(TARBALL)
	@echo BUILDFOR=$(BUILDFOR)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DEB_DESTDIR)

#binary-fixup/cachefilesd::
#	chmod o-rwx $(DEB_DESTDIR)/var/cache/fscache

=== debian/watch ===
version=3
http://people.redhat.com/~dhowells/fscache/cachefilesd-(.*)\.tar\.bz2

## cachefilesd 0.10.10-0.1ubuntu0.18.04.1

=== debian/changelog ===
cachefilesd (0.10.10-0.1ubuntu0.18.04.1) bionic; urgency=medium

  * Avoid counter underflow, leading to segfault (LP: #1854054)

 -- Dan Streetman <ddstreet@canonical.com>  Tue, 26 Nov 2019 08:01:23 -0500

## cachefilesd 0.10.10-0.1ubuntu0.19.04.1

=== debian/changelog ===
cachefilesd (0.10.10-0.1ubuntu0.19.04.1) disco; urgency=medium

  * Avoid counter underflow, leading to segfault (LP: #1854054)

 -- Dan Streetman <ddstreet@canonical.com>  Tue, 26 Nov 2019 08:18:03 -0500

## cachefilesd 0.10.10-0.2~bpo10+1

=== debian/changelog ===
cachefilesd (0.10.10-0.2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Sep 2019 12:04:07 +0200

## cachefilesd 0.10.10-0.2

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: misc
 Priority: optional
 Maintainer: Shane Wegner <shane@debian.org>
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/debian/cachefilesd
-Vcs-Git: https://salsa.debian.org/debian/cachefilesd.git
+Build-Depends: cdbs, debhelper (>= 7)
+Standards-Version: 3.9.3.1
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cachefilesd.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/cachefilesd.git
 
 Package: cachefilesd
 Architecture: any

## cachefilesd 0.10.10-0.2ubuntu0.19.10.1

=== debian/changelog ===
cachefilesd (0.10.10-0.2ubuntu0.19.10.1) eoan; urgency=medium

  * Avoid counter underflow, leading to segfault (LP: #1854054)

 -- Dan Streetman <ddstreet@canonical.com>  Tue, 26 Nov 2019 08:16:09 -0500

## cachefilesd 0.10.10-0.2ubuntu1

=== debian/changelog ===
cachefilesd (0.10.10-0.2ubuntu1) focal; urgency=medium

  * Avoid counter underflow, leading to segfault (LP: #1854054)

 -- Dan Streetman <ddstreet@canonical.com>  Tue, 26 Nov 2019 08:10:43 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cachefilesd
 Section: misc
 Priority: optional
-Maintainer: Shane Wegner <shane@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Shane Wegner <shane@debian.org>
 Build-Depends: cdbs, debhelper (>= 7)
 Standards-Version: 3.9.3.1
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cachefilesd.git
